## MmGdbusModem3gpp

MmGdbusModem3gpp — Generated C code for the org.freedesktop.ModemManager1.Modem.Modem3gpp D-Bus interface

## Functions

guint | mm_gdbus_modem3gpp_get_registration_state ()
const gchar * | mm_gdbus_modem3gpp_get_imei ()
gchar * | mm_gdbus_modem3gpp_dup_imei ()
const gchar * | mm_gdbus_modem3gpp_get_operator_code ()
gchar * | mm_gdbus_modem3gpp_dup_operator_code ()
const gchar * | mm_gdbus_modem3gpp_get_operator_name ()
gchar * | mm_gdbus_modem3gpp_dup_operator_name ()
guint | mm_gdbus_modem3gpp_get_enabled_facility_locks ()
guint | mm_gdbus_modem3gpp_get_subscription_state ()
guint | mm_gdbus_modem3gpp_get_eps_ue_mode_operation ()
GVariant * | mm_gdbus_modem3gpp_get_pco ()
GVariant * | mm_gdbus_modem3gpp_dup_pco ()
const gchar * | mm_gdbus_modem3gpp_get_initial_eps_bearer ()
gchar * | mm_gdbus_modem3gpp_dup_initial_eps_bearer ()
GVariant * | mm_gdbus_modem3gpp_get_initial_eps_bearer_settings ()
GVariant * | mm_gdbus_modem3gpp_dup_initial_eps_bearer_settings ()
guint | mm_gdbus_modem3gpp_get_packet_service_state ()
GVariant * | mm_gdbus_modem3gpp_dup_nr5g_registration_settings ()
GVariant * | mm_gdbus_modem3gpp_get_nr5g_registration_settings ()
GVariant * | mm_gdbus_modem3gpp_dup_network_rejection ()
GVariant * | mm_gdbus_modem3gpp_get_network_rejection ()
void | mm_gdbus_modem3gpp_call_register ()
gboolean | mm_gdbus_modem3gpp_call_register_finish ()
gboolean | mm_gdbus_modem3gpp_call_register_sync ()
void | mm_gdbus_modem3gpp_call_scan ()
gboolean | mm_gdbus_modem3gpp_call_scan_finish ()
gboolean | mm_gdbus_modem3gpp_call_scan_sync ()
void | mm_gdbus_modem3gpp_call_set_carrier_lock ()
gboolean | mm_gdbus_modem3gpp_call_set_carrier_lock_finish ()
gboolean | mm_gdbus_modem3gpp_call_set_carrier_lock_sync ()
void | mm_gdbus_modem3gpp_call_set_eps_ue_mode_operation ()
gboolean | mm_gdbus_modem3gpp_call_set_eps_ue_mode_operation_finish ()
gboolean | mm_gdbus_modem3gpp_call_set_eps_ue_mode_operation_sync ()
void | mm_gdbus_modem3gpp_call_set_initial_eps_bearer_settings ()
gboolean | mm_gdbus_modem3gpp_call_set_initial_eps_bearer_settings_finish ()
gboolean | mm_gdbus_modem3gpp_call_set_initial_eps_bearer_settings_sync ()
void | mm_gdbus_modem3gpp_call_disable_facility_lock ()
gboolean | mm_gdbus_modem3gpp_call_disable_facility_lock_finish ()
gboolean | mm_gdbus_modem3gpp_call_disable_facility_lock_sync ()
void | mm_gdbus_modem3gpp_call_set_packet_service_state ()
gboolean | mm_gdbus_modem3gpp_call_set_packet_service_state_finish ()
gboolean | mm_gdbus_modem3gpp_call_set_packet_service_state_sync ()
void | mm_gdbus_modem3gpp_call_set_nr5g_registration_settings ()
gboolean | mm_gdbus_modem3gpp_call_set_nr5g_registration_settings_finish ()
gboolean | mm_gdbus_modem3gpp_call_set_nr5g_registration_settings_sync ()

## Properties

guint | enabled-facility-locks | Read / Write
guint | eps-ue-mode-operation | Read / Write
char * | imei | Read / Write
char * | initial-eps-bearer | Read / Write
GVariant * | initial-eps-bearer-settings | Read / Write
GVariant * | network-rejection | Read / Write
GVariant * | nr5g-registration-settings | Read / Write
char * | operator-code | Read / Write
char * | operator-name | Read / Write
guint | packet-service-state | Read / Write
GVariant * | pco | Read / Write
guint | registration-state | Read / Write
guint | subscription-state | Read / Write

## Signals

gboolean | handle-disable-facility-lock | Run Last
gboolean | handle-register | Run Last
gboolean | handle-scan | Run Last
gboolean | handle-set-carrier-lock | Run Last
gboolean | handle-set-eps-ue-mode-operation | Run Last
gboolean | handle-set-initial-eps-bearer-settings | Run Last
gboolean | handle-set-nr5g-registration-settings | Run Last
gboolean | handle-set-packet-service-state | Run Last

## Types and Values

| MmGdbusModem3gpp
struct | MmGdbusModem3gppIface

## Object Hierarchy

        GInterface
        ╰── MmGdbusModem3gpp

## Prerequisites

MmGdbusModem3gpp requires GObject.

## Known Implementations

MmGdbusModem3gpp is implemented by MMModem3gpp, MmGdbusModem3gppProxy and MmGdbusModem3gppSkeleton.

## Description

This section contains code for working with the org.freedesktop.ModemManager1.Modem.Modem3gpp D-Bus interface in C.

## Functions

### mm_gdbus_modem3gpp_get_registration_state ()

    guint
    mm_gdbus_modem3gpp_get_registration_state
                                   (MmGdbusModem3gpp *object);

Gets the value of the "RegistrationState" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem3gpp. |

#### Returns

The property value.

### mm_gdbus_modem3gpp_get_imei ()

    const gchar *
    mm_gdbus_modem3gpp_get_imei (MmGdbusModem3gpp *object);

Gets the value of the "Imei" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `mm_gdbus_modem3gpp_dup_imei()` if on another thread.

[skip]

#### Parameters

object | A MmGdbusModem3gpp. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### mm_gdbus_modem3gpp_dup_imei ()

    gchar *
    mm_gdbus_modem3gpp_dup_imei (MmGdbusModem3gpp *object);

Gets a copy of the "Imei" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem3gpp. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### mm_gdbus_modem3gpp_get_operator_code ()

    const gchar *
    mm_gdbus_modem3gpp_get_operator_code (MmGdbusModem3gpp *object);

Gets the value of the "OperatorCode" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `mm_gdbus_modem3gpp_dup_operator_code()` if on another thread.

[skip]

#### Parameters

object | A MmGdbusModem3gpp. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### mm_gdbus_modem3gpp_dup_operator_code ()

    gchar *
    mm_gdbus_modem3gpp_dup_operator_code (MmGdbusModem3gpp *object);

Gets a copy of the "OperatorCode" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem3gpp. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### mm_gdbus_modem3gpp_get_operator_name ()

    const gchar *
    mm_gdbus_modem3gpp_get_operator_name (MmGdbusModem3gpp *object);

Gets the value of the "OperatorName" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `mm_gdbus_modem3gpp_dup_operator_name()` if on another thread.

[skip]

#### Parameters

object | A MmGdbusModem3gpp. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### mm_gdbus_modem3gpp_dup_operator_name ()

    gchar *
    mm_gdbus_modem3gpp_dup_operator_name (MmGdbusModem3gpp *object);

Gets a copy of the "OperatorName" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem3gpp. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### mm_gdbus_modem3gpp_get_enabled_facility_locks ()

    guint
    mm_gdbus_modem3gpp_get_enabled_facility_locks
                                   (MmGdbusModem3gpp *object);

Gets the value of the "EnabledFacilityLocks" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem3gpp. |

#### Returns

The property value.

### mm_gdbus_modem3gpp_get_subscription_state ()

    guint
    mm_gdbus_modem3gpp_get_subscription_state
                                   (MmGdbusModem3gpp *object);

Gets the value of the "SubscriptionState" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem3gpp. |

#### Returns

The property value.

### mm_gdbus_modem3gpp_get_eps_ue_mode_operation ()

    guint
    mm_gdbus_modem3gpp_get_eps_ue_mode_operation
                                   (MmGdbusModem3gpp *object);

Gets the value of the "EpsUeModeOperation" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem3gpp. |

#### Returns

The property value.

### mm_gdbus_modem3gpp_get_pco ()

    GVariant *
    mm_gdbus_modem3gpp_get_pco (MmGdbusModem3gpp *object);

Gets the value of the "Pco" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `mm_gdbus_modem3gpp_dup_pco()` if on another thread.

[skip]

#### Parameters

object | A MmGdbusModem3gpp. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### mm_gdbus_modem3gpp_dup_pco ()

    GVariant *
    mm_gdbus_modem3gpp_dup_pco (MmGdbusModem3gpp *object);

Gets a copy of the "Pco" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem3gpp. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_variant_unref()`.

[transfer full][nullable]

### mm_gdbus_modem3gpp_get_initial_eps_bearer ()

    const gchar *
    mm_gdbus_modem3gpp_get_initial_eps_bearer
                                   (MmGdbusModem3gpp *object);

Gets the value of the "InitialEpsBearer" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `mm_gdbus_modem3gpp_dup_initial_eps_bearer()` if on another thread.

[skip]

#### Parameters

object | A MmGdbusModem3gpp. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### mm_gdbus_modem3gpp_dup_initial_eps_bearer ()

    gchar *
    mm_gdbus_modem3gpp_dup_initial_eps_bearer
                                   (MmGdbusModem3gpp *object);

Gets a copy of the "InitialEpsBearer" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem3gpp. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_free()`.

[transfer full][nullable]

### mm_gdbus_modem3gpp_get_initial_eps_bearer_settings ()

    GVariant *
    mm_gdbus_modem3gpp_get_initial_eps_bearer_settings
                                   (MmGdbusModem3gpp *object);

Gets the value of the "InitialEpsBearerSettings" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `mm_gdbus_modem3gpp_dup_initial_eps_bearer_settings()` if on another thread.

[skip]

#### Parameters

object | A MmGdbusModem3gpp. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### mm_gdbus_modem3gpp_dup_initial_eps_bearer_settings ()

    GVariant *
    mm_gdbus_modem3gpp_dup_initial_eps_bearer_settings
                                   (MmGdbusModem3gpp *object);

Gets a copy of the "InitialEpsBearerSettings" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem3gpp. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_variant_unref()`.

[transfer full][nullable]

### mm_gdbus_modem3gpp_get_packet_service_state ()

    guint
    mm_gdbus_modem3gpp_get_packet_service_state
                                   (MmGdbusModem3gpp *object);

Gets the value of the "PacketServiceState" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem3gpp. |

#### Returns

The property value.

### mm_gdbus_modem3gpp_dup_nr5g_registration_settings ()

    GVariant *
    mm_gdbus_modem3gpp_dup_nr5g_registration_settings
                                   (MmGdbusModem3gpp *object);

Gets a copy of the "Nr5gRegistrationSettings" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem3gpp. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_variant_unref()`.

[transfer full][nullable]

### mm_gdbus_modem3gpp_get_nr5g_registration_settings ()

    GVariant *
    mm_gdbus_modem3gpp_get_nr5g_registration_settings
                                   (MmGdbusModem3gpp *object);

Gets the value of the "Nr5gRegistrationSettings" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `mm_gdbus_modem3gpp_dup_nr5g_registration_settings()` if on another thread.

[skip]

#### Parameters

object | A MmGdbusModem3gpp. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### mm_gdbus_modem3gpp_dup_network_rejection ()

    GVariant *
    mm_gdbus_modem3gpp_dup_network_rejection
                                   (MmGdbusModem3gpp *object);

Gets a copy of the "NetworkRejection" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

[skip]

#### Parameters

object | A MmGdbusModem3gpp. |

#### Returns

The property value or `NULL` if the property is not set. The returned value should be freed with `g_variant_unref()`.

[transfer full][nullable]

### mm_gdbus_modem3gpp_get_network_rejection ()

    GVariant *
    mm_gdbus_modem3gpp_get_network_rejection
                                   (MmGdbusModem3gpp *object);

Gets the value of the "NetworkRejection" D-Bus property.

Since this D-Bus property is readable, it is meaningful to use this function on both the client- and service-side.

The returned value is only valid until the property changes so on the client-side it is only safe to use this function on the thread where `object` was constructed. Use `mm_gdbus_modem3gpp_dup_network_rejection()` if on another thread.

[skip]

#### Parameters

object | A MmGdbusModem3gpp. |

#### Returns

The property value or `NULL` if the property is not set. Do not free the returned value, it belongs to `object` .

[transfer none][nullable]

### mm_gdbus_modem3gpp_call_register ()

    void
    mm_gdbus_modem3gpp_call_register (MmGdbusModem3gpp *proxy,
                                      const gchar *arg_operator_id,
                                      GCancellable *cancellable,
                                      GAsyncReadyCallback callback,
                                      gpointer user_data);

Asynchronously invokes the `Register()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `mm_gdbus_modem3gpp_call_register_finish()` to get the result of the operation.

See `mm_gdbus_modem3gpp_call_register_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A MmGdbusModem3gppProxy. |
arg_operator_id | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### mm_gdbus_modem3gpp_call_register_finish ()

    gboolean
    mm_gdbus_modem3gpp_call_register_finish
                                   (MmGdbusModem3gpp *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `mm_gdbus_modem3gpp_call_register()`.

#### Parameters

proxy | A MmGdbusModem3gppProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `mm_gdbus_modem3gpp_call_register()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem3gpp_call_register_sync ()

    gboolean
    mm_gdbus_modem3gpp_call_register_sync (MmGdbusModem3gpp *proxy,
                                           const gchar *arg_operator_id,
                                           GCancellable *cancellable,
                                           GError **error);

Synchronously invokes the `Register()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `mm_gdbus_modem3gpp_call_register()` for the asynchronous version of this method.

#### Parameters

proxy | A MmGdbusModem3gppProxy. |
arg_operator_id | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem3gpp_call_scan ()

    void
    mm_gdbus_modem3gpp_call_scan (MmGdbusModem3gpp *proxy,
                                  GCancellable *cancellable,
                                  GAsyncReadyCallback callback,
                                  gpointer user_data);

Asynchronously invokes the `Scan()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `mm_gdbus_modem3gpp_call_scan_finish()` to get the result of the operation.

See `mm_gdbus_modem3gpp_call_scan_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A MmGdbusModem3gppProxy. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### mm_gdbus_modem3gpp_call_scan_finish ()

    gboolean
    mm_gdbus_modem3gpp_call_scan_finish (MmGdbusModem3gpp *proxy,
                                         GVariant **out_results,
                                         GAsyncResult *res,
                                         GError **error);

Finishes an operation started with `mm_gdbus_modem3gpp_call_scan()`.

#### Parameters

proxy | A MmGdbusModem3gppProxy. |
out_results | Return location for return parameter or `NULL` to ignore. | [out][optional]
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `mm_gdbus_modem3gpp_call_scan()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem3gpp_call_scan_sync ()

    gboolean
    mm_gdbus_modem3gpp_call_scan_sync (MmGdbusModem3gpp *proxy,
                                       GVariant **out_results,
                                       GCancellable *cancellable,
                                       GError **error);

Synchronously invokes the `Scan()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `mm_gdbus_modem3gpp_call_scan()` for the asynchronous version of this method.

#### Parameters

proxy | A MmGdbusModem3gppProxy. |
out_results | Return location for return parameter or `NULL` to ignore. | [out][optional]
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem3gpp_call_set_carrier_lock ()

    void
    mm_gdbus_modem3gpp_call_set_carrier_lock
                                   (MmGdbusModem3gpp *proxy,
                                    GVariant *arg_data,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `SetCarrierLock()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `mm_gdbus_modem3gpp_call_set_carrier_lock_finish()` to get the result of the operation.

See `mm_gdbus_modem3gpp_call_set_carrier_lock_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A MmGdbusModem3gppProxy. |
arg_data | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### mm_gdbus_modem3gpp_call_set_carrier_lock_finish ()

    gboolean
    mm_gdbus_modem3gpp_call_set_carrier_lock_finish
                                   (MmGdbusModem3gpp *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `mm_gdbus_modem3gpp_call_set_carrier_lock()`.

#### Parameters

proxy | A MmGdbusModem3gppProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `mm_gdbus_modem3gpp_call_set_carrier_lock()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem3gpp_call_set_carrier_lock_sync ()

    gboolean
    mm_gdbus_modem3gpp_call_set_carrier_lock_sync
                                   (MmGdbusModem3gpp *proxy,
                                    GVariant *arg_data,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `SetCarrierLock()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `mm_gdbus_modem3gpp_call_set_carrier_lock()` for the asynchronous version of this method.

#### Parameters

proxy | A MmGdbusModem3gppProxy. |
arg_data | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem3gpp_call_set_eps_ue_mode_operation ()

    void
    mm_gdbus_modem3gpp_call_set_eps_ue_mode_operation
                                   (MmGdbusModem3gpp *proxy,
                                    guint arg_mode,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `SetEpsUeModeOperation()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `mm_gdbus_modem3gpp_call_set_eps_ue_mode_operation_finish()` to get the result of the operation.

See `mm_gdbus_modem3gpp_call_set_eps_ue_mode_operation_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A MmGdbusModem3gppProxy. |
arg_mode | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### mm_gdbus_modem3gpp_call_set_eps_ue_mode_operation_finish ()

    gboolean
    mm_gdbus_modem3gpp_call_set_eps_ue_mode_operation_finish
                                   (MmGdbusModem3gpp *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `mm_gdbus_modem3gpp_call_set_eps_ue_mode_operation()`.

#### Parameters

proxy | A MmGdbusModem3gppProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `mm_gdbus_modem3gpp_call_set_eps_ue_mode_operation()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem3gpp_call_set_eps_ue_mode_operation_sync ()

    gboolean
    mm_gdbus_modem3gpp_call_set_eps_ue_mode_operation_sync
                                   (MmGdbusModem3gpp *proxy,
                                    guint arg_mode,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `SetEpsUeModeOperation()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `mm_gdbus_modem3gpp_call_set_eps_ue_mode_operation()` for the asynchronous version of this method.

#### Parameters

proxy | A MmGdbusModem3gppProxy. |
arg_mode | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem3gpp_call_set_initial_eps_bearer_settings ()

    void
    mm_gdbus_modem3gpp_call_set_initial_eps_bearer_settings
                                   (MmGdbusModem3gpp *proxy,
                                    GVariant *arg_settings,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `SetInitialEpsBearerSettings()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `mm_gdbus_modem3gpp_call_set_initial_eps_bearer_settings_finish()` to get the result of the operation.

See `mm_gdbus_modem3gpp_call_set_initial_eps_bearer_settings_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A MmGdbusModem3gppProxy. |
arg_settings | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### mm_gdbus_modem3gpp_call_set_initial_eps_bearer_settings_finish ()

    gboolean
    mm_gdbus_modem3gpp_call_set_initial_eps_bearer_settings_finish
                                   (MmGdbusModem3gpp *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `mm_gdbus_modem3gpp_call_set_initial_eps_bearer_settings()`.

#### Parameters

proxy | A MmGdbusModem3gppProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `mm_gdbus_modem3gpp_call_set_initial_eps_bearer_settings()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem3gpp_call_set_initial_eps_bearer_settings_sync ()

    gboolean
    mm_gdbus_modem3gpp_call_set_initial_eps_bearer_settings_sync
                                   (MmGdbusModem3gpp *proxy,
                                    GVariant *arg_settings,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `SetInitialEpsBearerSettings()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `mm_gdbus_modem3gpp_call_set_initial_eps_bearer_settings()` for the asynchronous version of this method.

#### Parameters

proxy | A MmGdbusModem3gppProxy. |
arg_settings | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem3gpp_call_disable_facility_lock ()

    void
    mm_gdbus_modem3gpp_call_disable_facility_lock
                                   (MmGdbusModem3gpp *proxy,
                                    GVariant *arg_properties,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `DisableFacilityLock()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `mm_gdbus_modem3gpp_call_disable_facility_lock_finish()` to get the result of the operation.

See `mm_gdbus_modem3gpp_call_disable_facility_lock_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A MmGdbusModem3gppProxy. |
arg_properties | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### mm_gdbus_modem3gpp_call_disable_facility_lock_finish ()

    gboolean
    mm_gdbus_modem3gpp_call_disable_facility_lock_finish
                                   (MmGdbusModem3gpp *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `mm_gdbus_modem3gpp_call_disable_facility_lock()`.

#### Parameters

proxy | A MmGdbusModem3gppProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `mm_gdbus_modem3gpp_call_disable_facility_lock()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem3gpp_call_disable_facility_lock_sync ()

    gboolean
    mm_gdbus_modem3gpp_call_disable_facility_lock_sync
                                   (MmGdbusModem3gpp *proxy,
                                    GVariant *arg_properties,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `DisableFacilityLock()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `mm_gdbus_modem3gpp_call_disable_facility_lock()` for the asynchronous version of this method.

#### Parameters

proxy | A MmGdbusModem3gppProxy. |
arg_properties | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem3gpp_call_set_packet_service_state ()

    void
    mm_gdbus_modem3gpp_call_set_packet_service_state
                                   (MmGdbusModem3gpp *proxy,
                                    guint arg_state,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `SetPacketServiceState()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `mm_gdbus_modem3gpp_call_set_packet_service_state_finish()` to get the result of the operation.

See `mm_gdbus_modem3gpp_call_set_packet_service_state_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A MmGdbusModem3gppProxy. |
arg_state | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### mm_gdbus_modem3gpp_call_set_packet_service_state_finish ()

    gboolean
    mm_gdbus_modem3gpp_call_set_packet_service_state_finish
                                   (MmGdbusModem3gpp *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `mm_gdbus_modem3gpp_call_set_packet_service_state()`.

#### Parameters

proxy | A MmGdbusModem3gppProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `mm_gdbus_modem3gpp_call_set_packet_service_state()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem3gpp_call_set_packet_service_state_sync ()

    gboolean
    mm_gdbus_modem3gpp_call_set_packet_service_state_sync
                                   (MmGdbusModem3gpp *proxy,
                                    guint arg_state,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `SetPacketServiceState()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `mm_gdbus_modem3gpp_call_set_packet_service_state()` for the asynchronous version of this method.

#### Parameters

proxy | A MmGdbusModem3gppProxy. |
arg_state | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem3gpp_call_set_nr5g_registration_settings ()

    void
    mm_gdbus_modem3gpp_call_set_nr5g_registration_settings
                                   (MmGdbusModem3gpp *proxy,
                                    GVariant *arg_properties,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

Asynchronously invokes the `SetNr5gRegistrationSettings()` D-Bus method on `proxy` . When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from (see `g_main_context_push_thread_default()`). You can then call `mm_gdbus_modem3gpp_call_set_nr5g_registration_settings_finish()` to get the result of the operation.

See `mm_gdbus_modem3gpp_call_set_nr5g_registration_settings_sync()` for the synchronous, blocking version of this method.

#### Parameters

proxy | A MmGdbusModem3gppProxy. |
arg_properties | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
callback | A GAsyncReadyCallback to call when the request is satisfied or `NULL`. |
user_data | User data to pass to `callback` . |

### mm_gdbus_modem3gpp_call_set_nr5g_registration_settings_finish ()

    gboolean
    mm_gdbus_modem3gpp_call_set_nr5g_registration_settings_finish
                                   (MmGdbusModem3gpp *proxy,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an operation started with `mm_gdbus_modem3gpp_call_set_nr5g_registration_settings()`.

#### Parameters

proxy | A MmGdbusModem3gppProxy. |
res | The GAsyncResult obtained from the GAsyncReadyCallback passed to `mm_gdbus_modem3gpp_call_set_nr5g_registration_settings()`. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

### mm_gdbus_modem3gpp_call_set_nr5g_registration_settings_sync ()

    gboolean
    mm_gdbus_modem3gpp_call_set_nr5g_registration_settings_sync
                                   (MmGdbusModem3gpp *proxy,
                                    GVariant *arg_properties,
                                    GCancellable *cancellable,
                                    GError **error);

Synchronously invokes the `SetNr5gRegistrationSettings()` D-Bus method on `proxy` . The calling thread is blocked until a reply is received.

See `mm_gdbus_modem3gpp_call_set_nr5g_registration_settings()` for the asynchronous version of this method.

#### Parameters

proxy | A MmGdbusModem3gppProxy. |
arg_properties | Argument to pass with the method invocation. |
cancellable | A GCancellable or `NULL`. | [nullable]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the call succeeded, `FALSE` if `error` is set.

[skip]

## Types and Values

### MmGdbusModem3gpp

    typedef struct _MmGdbusModem3gpp MmGdbusModem3gpp;

Abstract interface type for the D-Bus interface org.freedesktop.ModemManager1.Modem.Modem3gpp.

### struct MmGdbusModem3gppIface

    struct MmGdbusModem3gppIface {
      GTypeInterface parent_iface;

      gboolean (*handle_disable_facility_lock) (
        MmGdbusModem3gpp *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_properties);

      gboolean (*handle_register) (
        MmGdbusModem3gpp *object,
        GDBusMethodInvocation *invocation,
        const gchar *arg_operator_id);

      gboolean (*handle_scan) (
        MmGdbusModem3gpp *object,
        GDBusMethodInvocation *invocation);

      gboolean (*handle_set_carrier_lock) (
        MmGdbusModem3gpp *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_data);

      gboolean (*handle_set_eps_ue_mode_operation) (
        MmGdbusModem3gpp *object,
        GDBusMethodInvocation *invocation,
        guint arg_mode);

      gboolean (*handle_set_initial_eps_bearer_settings) (
        MmGdbusModem3gpp *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_settings);

      gboolean (*handle_set_nr5g_registration_settings) (
        MmGdbusModem3gpp *object,
        GDBusMethodInvocation *invocation,
        GVariant *arg_properties);

      gboolean (*handle_set_packet_service_state) (
        MmGdbusModem3gpp *object,
        GDBusMethodInvocation *invocation,
        guint arg_state);

      guint  (*get_enabled_facility_locks) (MmGdbusModem3gpp *object);

      guint  (*get_eps_ue_mode_operation) (MmGdbusModem3gpp *object);

      const gchar * (*get_imei) (MmGdbusModem3gpp *object);

      const gchar * (*get_initial_eps_bearer) (MmGdbusModem3gpp *object);

      GVariant * (*get_initial_eps_bearer_settings) (MmGdbusModem3gpp *object);

      GVariant * (*get_network_rejection) (MmGdbusModem3gpp *object);

      GVariant * (*get_nr5g_registration_settings) (MmGdbusModem3gpp *object);

      const gchar * (*get_operator_code) (MmGdbusModem3gpp *object);

      const gchar * (*get_operator_name) (MmGdbusModem3gpp *object);

      guint  (*get_packet_service_state) (MmGdbusModem3gpp *object);

      GVariant * (*get_pco) (MmGdbusModem3gpp *object);

      guint  (*get_registration_state) (MmGdbusModem3gpp *object);

      guint  (*get_subscription_state) (MmGdbusModem3gpp *object);
    };

Virtual table for the D-Bus interface org.freedesktop.ModemManager1.Modem.Modem3gpp.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |
`handle_disable_facility_lock` () | Handler for the “handle-disable-facility-lock” signal. |
`handle_register` () | Handler for the “handle-register” signal. |
`handle_scan` () | Handler for the “handle-scan” signal. |
`handle_set_carrier_lock` () | Handler for the “handle-set-carrier-lock” signal. |
`handle_set_eps_ue_mode_operation` () | Handler for the “handle-set-eps-ue-mode-operation” signal. |
`handle_set_initial_eps_bearer_settings` () | Handler for the “handle-set-initial-eps-bearer-settings” signal. |
`handle_set_nr5g_registration_settings` () | Handler for the “handle-set-nr5g-registration-settings” signal. |
`handle_set_packet_service_state` () | Handler for the “handle-set-packet-service-state” signal. |
`get_enabled_facility_locks` () | Getter for the “enabled-facility-locks” property. |
`get_eps_ue_mode_operation` () | Getter for the “eps-ue-mode-operation” property. |
`get_imei` () | Getter for the “imei” property. |
`get_initial_eps_bearer` () | Getter for the “initial-eps-bearer” property. |
`get_initial_eps_bearer_settings` () | Getter for the “initial-eps-bearer-settings” property. |
`get_network_rejection` () | Getter for the “network-rejection” property. |
`get_nr5g_registration_settings` () | Getter for the “nr5g-registration-settings” property. |
`get_operator_code` () | Getter for the “operator-code” property. |
`get_operator_name` () | Getter for the “operator-name” property. |
`get_packet_service_state` () | Getter for the “packet-service-state” property. |
`get_pco` () | Getter for the “pco” property. |
`get_registration_state` () | Getter for the “registration-state” property. |
`get_subscription_state` () | Getter for the “subscription-state” property. |

## Property Details

### The `“enabled-facility-locks”` property

      “enabled-facility-locks”   guint

Represents the D-Bus property "EnabledFacilityLocks".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem3gpp

Flags: Read / Write

Default value: 0

### The `“eps-ue-mode-operation”` property

      “eps-ue-mode-operation”    guint

Represents the D-Bus property "EpsUeModeOperation".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem3gpp

Flags: Read / Write

Default value: 0

### The `“imei”` property

      “imei”                     char *

Represents the D-Bus property "Imei".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem3gpp

Flags: Read / Write

Default value: NULL

### The `“initial-eps-bearer”` property

      “initial-eps-bearer”       char *

Represents the D-Bus property "InitialEpsBearer".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem3gpp

Flags: Read / Write

Default value: NULL

### The `“initial-eps-bearer-settings”` property

      “initial-eps-bearer-settings” GVariant *

Represents the D-Bus property "InitialEpsBearerSettings".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem3gpp

Flags: Read / Write

Allowed values: GVariant<a{sv}>

Default value: NULL

### The `“network-rejection”` property

      “network-rejection”        GVariant *

Represents the D-Bus property "NetworkRejection".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem3gpp

Flags: Read / Write

Allowed values: GVariant<a{sv}>

Default value: NULL

### The `“nr5g-registration-settings”` property

      “nr5g-registration-settings” GVariant *

Represents the D-Bus property "Nr5gRegistrationSettings".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem3gpp

Flags: Read / Write

Allowed values: GVariant<a{sv}>

Default value: NULL

### The `“operator-code”` property

      “operator-code”            char *

Represents the D-Bus property "OperatorCode".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem3gpp

Flags: Read / Write

Default value: NULL

### The `“operator-name”` property

      “operator-name”            char *

Represents the D-Bus property "OperatorName".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem3gpp

Flags: Read / Write

Default value: NULL

### The `“packet-service-state”` property

      “packet-service-state”     guint

Represents the D-Bus property "PacketServiceState".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem3gpp

Flags: Read / Write

Default value: 0

### The `“pco”` property

      “pco”                      GVariant *

Represents the D-Bus property "Pco".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem3gpp

Flags: Read / Write

Allowed values: GVariant<a(ubay)>

Default value: NULL

### The `“registration-state”` property

      “registration-state”       guint

Represents the D-Bus property "RegistrationState".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem3gpp

Flags: Read / Write

Default value: 0

### The `“subscription-state”` property

      “subscription-state”       guint

Represents the D-Bus property "SubscriptionState".

Since the D-Bus property for this GObject property is readable but not writable, it is meaningful to read from it on both the client- and service-side. It is only meaningful, however, to write to it on the service-side.

Owner: MmGdbusModem3gpp

Flags: Read / Write

Default value: 0

## Signal Details

### The `“handle-disable-facility-lock”` signal

    gboolean
    user_function (MmGdbusModem3gpp      *object,
                   GDBusMethodInvocation *invocation,
                   GVariant              *arg_properties,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `DisableFacilityLock()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `mm_gdbus_modem3gpp_complete_disable_facility_lock()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A MmGdbusModem3gpp. |
invocation | A GDBusMethodInvocation. |
arg_properties | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-register”` signal

    gboolean
    user_function (MmGdbusModem3gpp      *object,
                   GDBusMethodInvocation *invocation,
                   char                  *arg_operator_id,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Register()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `mm_gdbus_modem3gpp_complete_register()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A MmGdbusModem3gpp. |
invocation | A GDBusMethodInvocation. |
arg_operator_id | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-scan”` signal

    gboolean
    user_function (MmGdbusModem3gpp      *object,
                   GDBusMethodInvocation *invocation,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `Scan()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `mm_gdbus_modem3gpp_complete_scan()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A MmGdbusModem3gpp. |
invocation | A GDBusMethodInvocation. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-set-carrier-lock”` signal

    gboolean
    user_function (MmGdbusModem3gpp      *object,
                   GDBusMethodInvocation *invocation,
                   GVariant              *arg_data,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `SetCarrierLock()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `mm_gdbus_modem3gpp_complete_set_carrier_lock()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A MmGdbusModem3gpp. |
invocation | A GDBusMethodInvocation. |
arg_data | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-set-eps-ue-mode-operation”` signal

    gboolean
    user_function (MmGdbusModem3gpp      *object,
                   GDBusMethodInvocation *invocation,
                   guint                  arg_mode,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `SetEpsUeModeOperation()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `mm_gdbus_modem3gpp_complete_set_eps_ue_mode_operation()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A MmGdbusModem3gpp. |
invocation | A GDBusMethodInvocation. |
arg_mode | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-set-initial-eps-bearer-settings”` signal

    gboolean
    user_function (MmGdbusModem3gpp      *object,
                   GDBusMethodInvocation *invocation,
                   GVariant              *arg_settings,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `SetInitialEpsBearerSettings()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `mm_gdbus_modem3gpp_complete_set_initial_eps_bearer_settings()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A MmGdbusModem3gpp. |
invocation | A GDBusMethodInvocation. |
arg_settings | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-set-nr5g-registration-settings”` signal

    gboolean
    user_function (MmGdbusModem3gpp      *object,
                   GDBusMethodInvocation *invocation,
                   GVariant              *arg_properties,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `SetNr5gRegistrationSettings()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `mm_gdbus_modem3gpp_complete_set_nr5g_registration_settings()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A MmGdbusModem3gpp. |
invocation | A GDBusMethodInvocation. |
arg_properties | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last

### The `“handle-set-packet-service-state”` signal

    gboolean
    user_function (MmGdbusModem3gpp      *object,
                   GDBusMethodInvocation *invocation,
                   guint                  arg_state,
                   gpointer               user_data)

Signal emitted when a remote caller is invoking the `SetPacketServiceState()` D-Bus method.

If a signal handler returns `TRUE`, it means the signal handler will handle the invocation (e.g. take a reference to `invocation` and eventually call `mm_gdbus_modem3gpp_complete_set_packet_service_state()` or e.g. `g_dbus_method_invocation_return_error()` on it) and no other signal handlers will run. If no signal handler handles the invocation, the `G_DBUS_ERROR_UNKNOWN_METHOD` error is returned.

#### Parameters

object | A MmGdbusModem3gpp. |
invocation | A GDBusMethodInvocation. |
arg_state | Argument passed by remote caller. |
user_data | user data set when the signal handler was connected. |

#### Returns

`G_DBUS_METHOD_INVOCATION_HANDLED` or `TRUE` if the invocation was handled, `G_DBUS_METHOD_INVOCATION_UNHANDLED` or `FALSE` to let other signal handlers run.

Flags: Run Last